Index: Include/api_shlwapi.sbp
===================================================================
--- Include/api_shlwapi.sbp	(revision 141)
+++ Include/api_shlwapi.sbp	(revision 160)
@@ -6,6 +6,6 @@
 
 
-Declare Function PathGetArgsA Lib "shlwapi" Alias (pszPath As LPCWSTR) As LPWSTR
-Declare Function PathGetArgsW Lib "shlwapi" Alias (pszPath As LPCSTR) As LPSTR
+Declare Function PathGetArgsA Lib "shlwapi" (pszPath As LPCWSTR) As LPWSTR
+Declare Function PathGetArgsW Lib "shlwapi" (pszPath As LPCSTR) As LPSTR
 #ifdef UNICODE
 Declare Function PathGetArgs Lib "shlwapi" Alias "PathGetArgsW" (pszPath As LPCWSTR) As LPWSTR
@@ -14,6 +14,6 @@
 #endif
 
-Declare Function StrFormatByteSize64 Lib "shlwapi" Alias (ll As Int64, pszBuf As PWSTR, BufSize As DWord) As PWSTR
-Declare Function StrFormatByteSize64 Lib "shlwapi" Alias (ll As Int64, pszBuf As PSTR, BufSize As DWord) As PSTR
+Declare Function StrFormatByteSize64W Lib "shlwapi" (ll As Int64, pszBuf As PWSTR, BufSize As DWord) As PWSTR
+Declare Function StrFormatByteSize64A Lib "shlwapi" (ll As Int64, pszBuf As PSTR, BufSize As DWord) As PSTR
 #ifdef UNICODE
 Declare Function StrFormatByteSize64 Lib "shlwapi" Alias "StrFormatByteSize64W" (ll As Int64, pszBuf As PWSTR, BufSize As DWord) As PWSTR
@@ -22,3 +22,68 @@
 #endif
 
+Declare Function StrFormatKBSizeA Lib "shlwapi" (ByVal Value As Int64, ByVal pszBuf As LPSTR, ByVal uiBuSize As DWord) As LPSTR
+Declare Function StrFormatKBSizeW Lib "shlwapi" (ByVal Value As Int64, ByVal pszBuf As LPWSTR, ByVal uiBuSize As DWord) As LPWSTR
+#ifdef UNICODE
+Declare Function StrFormatKBSize Lib "shlwapi" Alias "StrFormatKBSizeW" (ByVal Value As Int64, ByVal pszBuf As LPWSTR, ByVal uiBuSize As DWord) As LPWSTR
+#else
+Declare Function StrFormatKBSize Lib "shlwapi" Alias "StrFormatKBSizeA" (ByVal Value As Int64, ByVal pszBuf As LPSTR, ByVal uiBuSize As DWord) As LPSTR
+#endif
+
+Declare Function StrRetToStrA Lib "shlwapi" (ByRef pstr As STRRET, pidl As *ITEMIDLIST, ByRef pszName As PSTR) As HRESULT
+Declare Function StrRetToStrW Lib "shlwapi" (ByRef pstr As STRRET, pidl As *ITEMIDLIST, ByRef pszName As PWSTR) As HRESULT
+#ifdef UNICODE
+Declare Function StrRetToStr Lib "shlwapi" Alias "StrRetToStrW" (ByRef str As STRRET, pidl As *ITEMIDLIST, ByRef pszName As PWSTR) As HRESULT
+#else
+Declare Function StrRetToStr Lib "shlwapi" Alias "StrRetToStrA" (ByRef str As STRRET, pidl As *ITEMIDLIST, ByRef pszName As PSTR) As HRESULT
+#endif
+
+Declare Function StrChrA Lib "shlwapi" (lpStart As LPCSTR, ch As SByte) As LPSTR
+Declare Function StrChrW Lib "shlwapi" (lpStart As LPCWSTR, ch As WCHAR) As LPWSTR
+#ifdef UNICODE
+Declare Function StrChr Lib "shlwapi" Alias "StrChrW" (lpStart As LPCWSTR, ch As WCHAR) As LPWSTR
+#else
+Declare Function StrChr Lib "shlwapi" Alias "StrChrA" (lpStart As LPCSTR, ch As SByte) As LPSTR
+#endif
+
+Declare Function StrStrA Lib "shlwapi" (lpFirst As LPCSTR, lpSrch As LPCSTR) As LPSTR
+Declare Function StrStrW Lib "shlwapi" (lpFirst As LPCWSTR, lpSrch As LPCWSTR) As LPWSTR
+#ifdef UNICODE
+Declare Function StrStr Lib "shlwapi" Alias "StrStrW" (lpFirst As LPCWSTR, lpSrch As LPCWSTR) As LPWSTR
+#else
+Declare Function StrStr Lib "shlwapi" Alias "StrStrA" (lpFirst As LPCSTR, lpSrch As LPCSTR) As LPSTR
+#endif
+
+Declare Function StrToIntA Lib "shlwapi" (psz As LPCSTR) As Long
+Declare Function StrToIntW Lib "shlwapi" (psz As LPCWSTR) As Long
+#ifdef UNICODE
+Declare Function StrToInt Lib "shlwapi" Alias "StrToIntW" (psz As LPCWSTR) As Long
+#else
+Declare Function StrToInt Lib "shlwapi" Alias "StrToIntA" (psz As LPCSTR) As Long
+#endif
+
+Declare Function PathRenameExtensionA Lib "shlwapi" (pszPath As LPSTR, pszExt As LPCSTR) As BOOL
+Declare Function PathRenameExtensionW Lib "shlwapi" (pszPath As LPWSTR, pszExt As LPCWSTR) As BOOL
+#ifdef UNICODE
+Declare Function PathRenameExtension Lib "shlwapi" Alias "PathRenameExtensionW" (pszPath As LPWSTR, pszExt As LPCWSTR) As BOOL
+#else
+Declare Function PathRenameExtension Lib "shlwapi" Alias "PathRenameExtensionA" (pszPath As LPSTR, pszExt As LPCSTR) As BOOL
+#endif
+
+
+Declare Function PathRemoveFileSpecA Lib "shlwapi" (pszPath As LPCSTR) As BOOL
+Declare Function PathRemoveFileSpecW Lib "shlwapi" (pszPath As LPCWSTR) As BOOL
+#ifdef UNICODE
+Declare Function PathRemoveFileSpec Lib "shlwapi" Alias "PathRemoveFileSpecW" (pszPath As LPCWSTR) As BOOL
+#else
+Declare Function PathRemoveFileSpec Lib "shlwapi" Alias "PathRemoveFileSpecA" (pszPath As LPCSTR) As BOOL
+#endif
+
+Declare Function PathRenameExtensionA Lib "shlwapi" (hKey As HKEY, pszSubKey As LPCSTR) As DWord
+Declare Function PathRenameExtensionW Lib "shlwapi" (hKey As HKEY, pszSubKey As LPCWSTR) As DWord
+#ifdef UNICODE
+Declare Function PathRenameExtension Lib "shlwapi" Alias "PathRenameExtensionW" (hKey As HKEY, pszSubKey As LPCWSTR) As DWord
+#else
+Declare Function PathRenameExtension Lib "shlwapi" Alias "PathRenameExtensionA" (hKey As HKEY, pszSubKey As LPCSTR) As DWord
+#endif
+
 #endif '_INC_SHLWAPI
